#!/bin/bash

run_as() {
    if [ "$(id -u)" = 0 ]; then
        su -p www-data -s /bin/sh -c "$1"
    else
        sh -c "$1"
    fi
}

while [[ "$(curl -s -o /dev/null -w ''%{http_code}'' localhost:80/index.php/login)" != "200" ]]; do sleep 5; done

run_as ' \
for app in $(ls /var/www/html/apps/); do \
    echo "Disabling $app..."
    php /var/www/html/occ app:disable $app
    echo "Installing $app..."
    php /var/www/html/occ app:install $app
    echo "Enabling $app..."
    php /var/www/html/occ app:enable $app 
done'
